Summary: A GNU implementation of Scheme for application extensibility.
Name: guile
Version: 1.4
Release: 3
Source: ftp://ftp.gnu.org/pub/gnu/guile-%{PACKAGE_VERSION}.tar.gz
Patch0: guile-%{PACKAGE_VERSION}-aixlt135a.patch
Copyright: GPL
Group: Development/Languages
Buildroot: %{_tmppath}/%{name}-root
Prereq: /sbin/install-info
Prefix: %{_prefix}

%ifarch ia64
  %define stdlib lib/ia64l32
  %define liblink ../../..
%else
  %define stdlib lib
  %define liblink ../..
%endif

%description
GUILE (GNU's Ubiquitous Intelligent Language for Extension) is a library
implementation of the Scheme programming language, written in C.  GUILE
provides a machine-independent execution platform that can be linked in
as a library during the building of extensible programs.

Install the guile package if you'd like to add extensibility to programs
that you are developing.

%package devel
Summary: Libraries and header files for the GUILE extensibility library.
Group: Development/Libraries
Requires: guile

%description devel
The guile-devel package includes the libraries, header files, etc.,
that you'll need to develop applications that are linked with the
GUILE extensibility library.

You need to install the guile-devel package if you want to develop
applications that will be linked to GUILE.  You'll also need to
install the guile package.

%prep
%setup -q
%patch0 -p1 -b .aixlt

%build
./configure --enable-dynamic-linking --prefix=%{prefix}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

/usr/bin/strip ${RPM_BUILD_ROOT}%{_prefix}/bin/guile
%ifarch ia64
chmod +x ${RPM_BUILD_ROOT}%{_prefix}/lib/libguile.so.* 
%endif
gzip -9nf ${RPM_BUILD_ROOT}%{_prefix}/info/data-rep*
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/guile/site

(cd $RPM_BUILD_ROOT
 for dir in bin include
 do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{prefix}/$dir/* .
    cd -
 done

 mkdir -p usr/%{stdlib}
 cd usr/%{stdlib}
 ln -sf %{liblink}%{prefix}/lib/* .
)

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post devel
/sbin/install-info %{prefix}/info/data-rep.info.gz %{prefix}/info/dir

%preun devel
/sbin/install-info --delete %{prefix}/info/data-rep.info.gz %{prefix}/info/dir

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog GUILE-VERSION HACKING NEWS README
%doc SNAPSHOTS ANON-CVS THANKS
%{_prefix}/bin/guile
/usr/bin/guile
%ifarch ppc || %ifarch rs6000
%{_prefix}/lib/libguile.a
/usr/%{stdlib}/libguile.a
%else
%{_prefix}/lib/libguile.so*
/usr/%{stdlib}/libguile.so*
%endif
%dir %{_prefix}/share/guile
%dir %{_prefix}/share/guile/site
%dir %{_prefix}/share/guile/%{PACKAGE_VERSION}
%{_prefix}/share/guile/%{PACKAGE_VERSION}/ice-9
%{_prefix}/share/aclocal/*

%files devel
%defattr(-,root,root)
%{_prefix}/bin/guile-config
%{_prefix}/bin/guile-snarf
%{_prefix}/include/guile
%{_prefix}/include/libguile
%{_prefix}/include/libguile.h
/usr/bin/guile-config
/usr/bin/guile-snarf
/usr/include/guile
/usr/include/libguile
/usr/include/libguile.h
%{_prefix}/info/data-rep*

%changelog
* Tue Feb 20 2001 Marc Stephenson <marc@austin.ibm.com>
- Build with corrected libtool

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Mon Feb 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- using the same catalog as umb-scheme makes umb-scheme a prereq

* Thu Feb 17 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- readline is needed for %post

* Tue Feb  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- use the same catalog as umb-scheme

* Thu Sep  2 1999 Jeff Johnson <jbj@redhat.com>
- fix broken %postun

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Mar 17 1999 Michael Johnson <johnsonm@redhat.com>
- added .ansi patch to fix #endif

* Wed Feb 10 1999 Cristian Gafton <gafton@redhat.com>
- add patch for the scm stuff

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- integrate changes from rhcn version (#640)

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize first to get it to compile on the arm

* Sat Jan  9 1999 Todd Larason <jtl@molehill.org>
- Added "Requires: guile" at suggestion of Manu Rouat <emmanuel.rouat@wanadoo.fr>

* Fri Jan  1 1999 Todd Larason <jtl@molehill.org>
- guile-devel does depend on guile
- remove devel dependancy on m4
- move guile-snarf from guile to guile-devel
- Converted to rhcn

* Wed Oct 21 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.3.
- don't strip libguile.so.*.0.0. (but set the execute bits).

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- spec file fixups

* Wed Sep  2 1998 Michael Fulbright <msf@redhat.com>
- Updated for RH 5.2

* Mon Jan 26 1998 Marc Ewing <marc@redhat.com>
- Started with spec from Tomasz Koczko <kloczek@idk.com.pl>
- added slib link

* Thu Sep 18 1997 Tomasz Koczko <kloczek@idk.com.pl>          (1.2-3)
- added %attr(-, root, root) for %doc, 
- in %post, %postun ldconfig runed as parameter "-p",
- removed /bin/sh from requires,
- added %description,
- changes in %files.

* Fri Jul 11 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>  (1.2-2)
- all rewrited for using Buildroot,
- added %postun,
- removed making buid logs,
- removed "--inclededir", added "--enable-dynamic-linking" to configure
  parameters,
- added striping shared libs and /usr/bin/guile,
- added "Requires: /bin/sh" (for guile-snarf) in guile package and
  "Requires: m4" for guile-devel,
- added macro %{PACKAGE_VERSION} in "Source:" and %files,
- added %attr macros in %files.
